Allows playing native FLAC files (not in Ogg container)
Closed, ResolvedPublic

Description

As bug 32103 says, Ogg FLAC is handled by TimedMediaHandler, but regular straight FLAC is not. The latter should also be playable (probably via transcoding), which would then make it reasonable to allow uploading them to Commons.


Version: master
Severity: normal

bzimport set Reference to bz49505.
Mattflaschen created this task.Via LegacyJun 12 2013, 11:09 PM
gerritbot added a comment.Via ConduitJun 14 2013, 12:43 PM

Related URL: https://gerrit.wikimedia.org/r/68642 (Gerrit Change I7e4d3471832510b2c90a1279514266efd60481cf)

Kelson added a comment.Via ConduitJun 14 2013, 1:05 PM

So great! Please, let us know as soon as we can test it somewhere online.

Aklapper added a comment.Via ConduitJun 27 2013, 12:04 PM

Patch got merged, anything else left to do here or can this be closed as RESOLVED FIXED?

Bawolff added a comment.Via ConduitJun 27 2013, 4:15 PM

(In reply to comment #3)

Patch got merged, anything else left to do here or can this be closed as
RESOLVED FIXED?

Yes, it's fixed.

(In reply to comment #2)

So great! Please, let us know as soon as we can test it somewhere online.

It will be live on commons probably Monday July 8. It should be live on test.wikipedia.org, test2.wikipedia.org and mediawiki.org sometime today I believe.

tomasz added a comment.Via ConduitJun 27 2013, 4:21 PM

(In reply to comment #4)

It will be live on commons probably Monday July 8. It should be live on
test.wikipedia.org, test2.wikipedia.org and mediawiki.org sometime today I
believe.

Commons has to allow accepting this format first, which requires a commit to InitialiseSettings.php ($wmgFileExtensions), since the default settings for $wgFileExtensions do not include .flac (yet).

So even if TimedMediaHandler will accept .flac files, it still won't be possible to upload them in the first place.

Bawolff added a comment.Via ConduitJun 27 2013, 4:23 PM

(In reply to comment #5)

(In reply to comment #4)

> It will be live on commons probably Monday July 8. It should be live on
> test.wikipedia.org, test2.wikipedia.org and mediawiki.org sometime today I
> believe.

Commons has to allow accepting this format first, which requires a commit to
InitialiseSettings.php ($wmgFileExtensions), since the default settings for
$wgFileExtensions do not include .flac (yet).

So even if TimedMediaHandler will accept .flac files, it still won't be
possible to upload them in the first place.

TMH modifies $wgFileExtensions after InitialiseSettings, so once tmh gets updated, .flac will be allowed, no config change needed. Note how .webm is not in $wgFileExtensions.

tomasz added a comment.Via ConduitJun 27 2013, 4:25 PM

Oh noes. I actually did read the documentation for $wgFileExtensions before posting that, and there wasn't anything about TMH there :-(

Perhaps the documentation on MW.org needs updating (hah! that's something new!).

Gilles added a project: Multimedia.Via WebDec 4 2014, 9:32 AM
Gilles moved this task to Closed on the Multimedia workboard.Via WebDec 4 2014, 9:34 AM
Mattflaschen removed a subscriber: Mattflaschen.Via WebDec 9 2014, 3:43 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.